import { ChainID } from "micro-stacks/common";
import type { Thread } from "$types/thread";
import type { Reply } from "$types/reply";
export declare type SignatureData = {
    signature: Uint8Array;
    public_key: Uint8Array;
};
export declare const domain: {
    name: any;
    version: any;
    'chain-id': ChainID;
};
export declare const domainCV: import("micro-stacks/clarity").TupleCV<{
    [key: string]: import("micro-stacks/clarity").UIntCV | import("micro-stacks/clarity").StringAsciiCV;
}>;
export declare function message_date_format(timestamp: number): string;
export declare function message_to_tuple(message: Thread | Reply): import("micro-stacks/clarity").TupleCV<{
    [key: string]: import("micro-stacks/clarity").UIntCV | import("micro-stacks/clarity").StringAsciiCV | import("micro-stacks/clarity").StringUtf8CV;
}>;
export declare function delete_action_tuple(message_id: string, is_reply: boolean): import("micro-stacks/clarity").TupleCV<{
    [key: string]: import("micro-stacks/clarity").StringAsciiCV;
}>;
export declare function verify_signed_message(message: Thread | Reply): boolean;
export declare function verify_delete_action(message: Thread | Reply, signature: Uint8Array | string): boolean;
export declare function request_sign_message(message: Thread | Reply): Promise<SignatureData | false>;
export declare function request_sign_delete_message(message_id: string, is_reply: boolean): Promise<SignatureData | false>;
export declare function is_welformed_signed_message(message: Thread | Reply): boolean | "" | 0;
export declare function serialise_message(message: Thread | Reply): string;
export declare function unserialise_message(message_json: string): Thread | Reply | null;
export declare function post_message(message: Thread | Reply): Promise<any>;
export declare function delete_thread(_id: string, signature: Uint8Array): Promise<any>;
export declare function delete_reply(thread_id: string, reply_id: string, signature: Uint8Array): Promise<any>;
